void datalog()
{
  //Data Log SD
  DateTime now = rtc.now();

  if (now.minute() == 20 && now.second() > 55 || now.minute() == 40
      && now.second() > 58 || now.minute() == 59 && now.second() > 58) {
    char buf2[40];
    sprintf(buf2, "%.2d.%.2d.%d %.2d:%.2d:%.2d ",
            now.day(), now.month(), now.year(), now.hour(), now.minute(), now.second());

    File dataFile = SD.open("ESP.txt", FILE_WRITE);
    String dataString = (buf2);
    (dataString);
    if (dataFile) {
      uint8_t result;
      result = node.readInputRegisters(0x3100, 16);// 16 Stellen im Register 3100 auslesen
      if (result == node.ku8MBSuccess)
      {
        //float pvVolt = node.getResponseBuffer(0x00) / 100.0f; //Tracer PV Volt
        float akkuVolt = node.getResponseBuffer(0x04) / 100.0f;
        result = node.readInputRegisters(0x3300 , 20); //PV Leistung
         
        if (result == node.ku8MBSuccess) {
          result = node.readInputRegisters(0x3110 , 12);

          float pvKWhges  = ((node.getResponseBuffer(0x12) +  node.getResponseBuffer(0x13) ) / 100.0f); //PV Watt
          float pvKWhges1 = pvKWhges + 115.8;
          float pvKWhtag = ((node.getResponseBuffer(0x0C) +  node.getResponseBuffer(0x0D) ) / 100.0f); //PV Watt
          float pvKWhmon = ((node.getResponseBuffer(0x0E) +  node.getResponseBuffer(0x0F) ) / 100.0f); //PV Watt
         
          dataFile.print(" ");
          dataFile.print(dataString);
          dataFile.print(F(" , "));
          dataFile.print(F("Temp Aus , "));
          float temp4 =  sensors.getTempC(sensor1);
          float temp3 =  sensors.getTempC(sensor2);
          if (temp4 == -127)dataFile.print("");
          else dataFile.print(temp4, 1);
          dataFile.print(F(" °C "));
          dataFile.print(F(","));
          dataFile.print(F(" Temp In , "));
          dataFile.print(temp3, 1);
          dataFile.print(F(" °C ,"));
          dataFile.print( "Heute , ");
          dataFile.print(pvKWhtag , 2);
          dataFile.print(",KWh,Im Monat , ");
          dataFile.print(pvKWhmon , 2);
          dataFile.print(",PV ,");
          dataFile.print(pvKWhges, 2);
          dataFile.print(",KWh , Gesamt , ");
          dataFile.print(pvKWhges1 , 2);
          dataFile.print(",KWh , ");
          dataFile.print(" Akku Volt , ");
          dataFile.print(akkuVolt, 1);
          dataFile.println();
          dataFile.close();
        }
      }
    }
  }
}
