
void LCDanzeige()
{
  //IR /////
  unsigned int IRwert = results.value;
  if (irrecv.decode(&results)) {
    irrecv.decode(&results);
    // Serial.println(IRwert);
    irrecv.resume();
  }
  sensors.requestTemperatures(); // Send the command to get temperatures
  DateTime now = rtc.now();
  float temp3 = sensors.getTempC(sensor2);
  if (IRwert == 16738455)LCD. noBacklight();
  if (IRwert == 16726215) LCD.backlight();

  //Uhrzeit + Datum
  LCD.setCursor(0, 0);
  if (now.hour() < 10) LCD.print(F(" "));
  LCD.print (now.hour());
  LCD.setCursor(2, 0);
  LCD.print(F(":"));
  if (now.minute() < 10) LCD.print(F("0"));
  LCD.print(now.minute());
  LCD.print(F(":"));
  if (now.second() < 10) LCD.print(F("0"));
  LCD.print(now.second());
  LCD.print(F("  "));
  LCD.print(WochenTag[now.dayOfTheWeek()]);
  LCD.setCursor (13, 0);
  if (now.day() < 10) LCD.print(F(" "));
  LCD.print(now.day());
  LCD.print(F(" "));
  LCD.print(monat[now.month() ]);

  if ((millis() / 3000) % 2 == 1) { //LCD alle 3Sek umschalten
    if (temp3 < 10) {
      LCD.setCursor(3, 1);
      LCD.print(F("In   "));
      LCD.print (temp3 , 1);
    }
    else {
      LCD.setCursor(3, 1);
      LCD.print(F("In   "));
      LCD.print (temp3 , 1);
    }
  }
  else
  {
    //DS18B20//
    float tempaus =  sensors.getTempC(sensor1);
    if (tempaus < 10)
    {
      LCD.setCursor(3, 1);
      LCD.print(F("Aus  "));
      if (tempaus == -127.0) LCD.print(F("   "));
      else  LCD.print (tempaus - 0.3, 1);
    }
    else
    {
      LCD.setCursor(3, 1);
      LCD.print(F("Aus  "));//lcd.print (F("    "));
      if (tempaus == -127.0) LCD.print(F("   "));
      else  LCD.print (tempaus - 0.3, 1); //DS18B20
      LCD.print (tempaus - 0.3, 1); //DS18B20
    }
  }
  LCD.print(F(" "));
  LCD.setCursor(12, 1);
  LCD.print((char)223);//  /223=° Grad Zeichen
  LCD.print(F("C "));
  // LCD.setCursor(12, 1);
  // if (pres < 1000) LCD.print(" ");
  // LCD.print(pres, 0);
  //LCD.setCursor(16, 1);
  //LCD.print(F(" hPa"));

  //Trecer Daten//
  unsigned long currentMillis = millis();
  if (currentMillis - previousMillis >= intervall)
  {
    previousMillis = currentMillis;
    LCD.setCursor(0, 2);
    LCD.print(F("PV= "));
    // Read 16 registers beginn mit Adresse  0x3100)
    uint8_t result;
    result = node.readInputRegisters(0x3100, 16);// 16 Stellen im Register 3100 auslesen
    //PV Daten
    if (result == node.ku8MBSuccess)
    {
      float pvVolt = node.getResponseBuffer(0x00) / 100.0f; //Tracer PV Volt
      if (pvVolt <= 10)
      {
        LCD.print(F(" "));
        LCD.print(pvVolt, 1);
      }
      LCD.print(pvVolt, 1);
      LCD.print(F("V "));//pos9
      float pvAmpere = node.getResponseBuffer(0x01) / 100.0f;//PV Ampere
      LCD.print(F(" "));
      LCD.print(pvAmpere, 1);
      LCD.print(F("A  "));
      float pvWat = ((node.getResponseBuffer(0x06) +  node.getResponseBuffer(0x07) ) / 100.0f); //PV Watt
      if (pvWat < 100)
      {
        LCD.setCursor (16, 2);
        LCD.print(F(" "));
        LCD.print(pvWat, 0);
      }
      else {
        LCD.setCursor (16, 2);
        LCD.print(pvWat, 0);
      }
      if (pvWat < 10)
      {
        LCD.setCursor (16, 2);
        LCD.print(F("  "));
        LCD.print(pvWat);
      }
      LCD.setCursor(19, 2);
      LCD.print(F("W"));
      //Akku
      LCD.setCursor(0, 3);
      LCD.print(F("Ak= "));
      float akkuVolt = node.getResponseBuffer(0x04) / 100.0f; //  Akkuspannung
      if (akkuVolt <= 10) LCD.print(F(" "));
      LCD.print(akkuVolt, 1);
      LCD.print(F("V "));
      float akkuAmpere = node.getResponseBuffer(0x05) / 100.0f;  //Akku Ladedaten in Ampere
      if (akkuAmpere <= 10) LCD.print(F(" "));
      LCD.print(akkuAmpere, 1);
      LCD.setCursor(14, 3);
      LCD.print(F("A"));
      result = node.readInputRegisters(0x311A , 1); //Akkukapazität in Prozent
      if (result == node.ku8MBSuccess)
      {
        LCD.setCursor (16, 3);
        int akkuProzente = node.getResponseBuffer(0x00);
        if (akkuProzente < 100) {
          LCD.print(F(" "));
          LCD.print(akkuProzente);
        }
        else
        {
          LCD.setCursor (16, 3);
          LCD.print(akkuProzente);
        }
        LCD.setCursor (19, 3);
        LCD.print(F("%"));
      }
    }
  }
}
